define([
    'jquery',
    'domReady!'
], function ($) {
    "use strict";

    return function scrollToTop(scrollDepth, scrollSpeed) {
        if ($(document).height() > ($(window).height() + scrollDepth)) {

            // We use this to have jQuery toggle between display:none/flex values, rather than display: none/block
            $('.scroll-to-top').css("display", "flex").hide();

            $(window).scroll(function () {
                if ($(this).scrollTop() > scrollDepth) {
                    $('.scroll-to-top').fadeIn();
                } else {
                    $('.scroll-to-top').fadeOut();
                }
            });


            $('.scroll-to-top').click(function () {
                $("html, body").animate({
                    scrollTop: 0
                }, scrollSpeed);
                return false;
            });
        };
    }

});
